@echo off
call "%CROSSWORLDS%"\bin\CWConnEnv

REM ****************************************************************************************
REM * STEP 1: Set the directory containing your MQSeries Java client libraries
REM ****************************************************************************************
set MQSERIES_JAVA_LIB="C:\Program Files\MQSeries\java\lib"

REM ****************************************************************************************
REM * STEP 2: Set the directory containing your Workflow Java client libraries 
REM ****************************************************************************************
set MQWF_JAVA_LIB="C:\Program Files\MQSeries Workflow\bin\Java3320"

REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%

REM set the name to be the application connector that is starting
set CONNAME=%1
set CONNPACKAGENAME=com.crossworlds.connectors.mqworkflow.MQWorkflowConnectorAgent


REM set the server name to be the interchange that is being targeted
set SERVER=%2

set DATAHANDLER="%CROSSWORLDS%"\DataHandlers\CwDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CustDataHandler.jar
if %CWVERSION%=="4.X" set XML_PARSER="%CROSSWORLDS%"\lib\xerces.jar
if %CWVERSION%=="3.X" set XML_PARSER="%CROSSWORLDS%"\DataHandlers\Dependencies\IBM\xml4j.jar
set AGENT=%CONNDIR%\CWMQWorkflow.jar
set CONN_LIB=%MQWF_JAVA_LIB%\fmcojagt.jar;%MQWF_JAVA_LIB%\fmcojapi.jar;%MQSERIES_JAVA_LIB%\connector.jar;%MQSERIES_JAVA_LIB%\jms.jar;%MQSERIES_JAVA_LIB%\jndi.jar;%MQSERIES_JAVA_LIB%\com.ibm.mq.jar;%MQSERIES_JAVA_LIB%\com.ibm.mqjms.jar;


set VBJTOOLS="%CROSSWORLDS%"\lib\vbjtools.jar

set JCLASSES=%XML_PARSER%;.;%JCLASSES%;%AGENT%;%CONN_LIB%;%VBJTOOLS%;%DATAHANDLER%;

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

set OPTIONS=-mx128m %OPTIONS%

REM ****************************************************************************************
REM * STEP 3: If using the OSA agent locator policy (Visibroker), uncomment the following 
REM * line and adjust visibroker library paths as necessary
REM ****************************************************************************************
REM set OPTIONS=%OPTIONS% -Xbootclasspath/p:"c:\inprise\vbroker\lib\vbjapp.jar;c:\inprise\vbroker\lib\vbjorb.jar;c:\inprise\vbroker\lib\vbjtools.jar;c:\inprise\vbroker\lib\vbjcosm.jar"

REM start the Java connector under the Java Application End
"%CROSSWORLDS%\bin\java" -version
"%CROSSWORLDS%\bin\java" %OPTIONS% -Dorg.omg.CORBA.ORBClass=%ORBCLASSPATH% -Dorg.omg.CORBA.ORBSingletonClass=%ORBCLASSPATH% -Duser.home="%CROSSWORLDS%" -Djava.ext.dirs="%MQ_LIB%" -Djava.library.path="%CROSSWORLDS%"\bin;"%CONNDIR%";"%MQ_LIB%" -cp %JCLASSES% AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER% %3 %4

endlocal